import './assets/main.css'
import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import api from './api'

const app = createApp(App)
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import './assets/styles/element-variables.scss'
// import './assets/styles/cut-corner.scss'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
import VDistpicker from 'v-distpicker'
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}
app.component('v-distpicker', VDistpicker)
app.use(ElementPlus)
app.use(router)
app.use(store)

// 全局注册API
app.config.globalProperties.$api = api

app.mount('#app')
